Subject: Re: bug#61988: error compiling emacs

From: Eli Zaretskii <[email-masked]>
Date: Tue, 07 Mar 2023 16:11:14 +0200

> From: "Ugo Tomei" <[email-masked]>
> Date: Tue, 7 Mar 2023 14:36:19 +0100
> 
> If i remove libwebpdecoder3 on my ubuntu 22.04 emacs compile well.

Compiles and supports display of WebP images?  Or compiles without
WebP support?  What does the "configure" script say when it ends? does
it say

  Does Emacs use -lwebp?                                  yes

or does not say

  Does Emacs use -lwebp?                                  no

> If I install libwebpdecoder3 not compile (/usr/bin/ld:
> /lib/x86_64-linux-gnu/libwebp.so.7: error adding symbols: DSO missing from
> command line):
> 
>   CC       textconv.o
>   CC       xgselect.o
>   CC       json.o
>   CC       terminfo.o
>   CC       lastfile.o
>   CCLD     temacs
>   GEN      ../etc/DOC
> /usr/bin/ld: image.o: undefined reference to symbol 'WebPGetInfo'
> /usr/bin/ld: /lib/x86_64-linux-gnu/libwebp.so.7: error adding symbols: DSO
> missing from command line

Please show the parts of config.log where the configure script makes
the WebP related tests.  Here's what I see on my system:

  configure:14271: checking for libwebpdemux >= 0.6.0
  configure:14278: $PKG_CONFIG --exists --print-errors "$WEBP_MODULE"
  configure:14281: $? = 0
  configure:14295: $PKG_CONFIG --exists --print-errors "$WEBP_MODULE"
  configure:14298: $? = 0
  configure:14336: result: yes
  configure:14350: checking for WebPGetInfo
  configure:14350: gcc -I ./nt/inc -o conftest.exe -O0 -gdwarf-4 -g3 -mms-bitfields -isystem d:/usr/include/librsvg-2.0 -isystem d:/usr/include/gdk-pixbuf-2.0 -isystem d:/usr/include/libpng16 -isystem d:/usr/include/cairo -isystem d:/usr/include/glib-2.0 -isystem d:/usr/lib/glib-2.0/include -isystem d:/usr/include/pixman-1 -isystem d:/usr/include/libpng16   -mtune=pentium4    conftest.c   -lwebpdemux -lwebp  >&5 
  configure:14350: $? = 0
  configure:14350: result: yes